This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 125376 - /usr/share/vim/vim62/tutor/tutor.pl is not converted into UTF8
/usr/share/vim/vim62/tutor/tutor.pl is not converted into UTF8
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-05 08:15 EDT by Dawid Gajownik
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-16 09:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2004-06-05 08:15:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.6) Gecko/20040113

Description of problem:
Hi!

File /usr/share/vim/vim62/tutor/tutor.pl is encoded in ISO-8859-2, so
there is a big mess on the screen when runnig vimtutor. Changing
encoding of that file to UTF8 resolves problem :-)

This bug apllies to versions from FC2 and Rawhide.

Sorry form my English :P

Version-Release number of selected component (if applicable):
vim-common-6.2.532-3

How reproducible:
Always

Steps to Reproduce:
1. log in ;-)
2. run vimtutor with system variable LANG set to "pl_PL.UTF8"
Comment 1 Colin Charles 2004-06-09 11:51:04 EDT
Considering I don't read said language, I did give it a go, and my
screen didn't garble. File is ISO-8859 though.

file -r /usr/share/vim/vim62/tutor/tutor.pl
/usr/share/vim/vim62/tutor/tutor.pl: ISO-8859 English text
Comment 2 Dawid Gajownik 2004-06-09 13:34:03 EDT
Well, my fault :( Saying "mess" I didn't mean "garbled screen". Only
non US-ASCII charakters don't look as they should, so the text is very
illegible.
Comment 3 Dawid Gajownik 2004-06-09 13:39:34 EDT
Sorry, there should be "characters", not "charakters" :/
Comment 4 Dawid Gajownik 2004-06-17 06:54:03 EDT
This "bug" is still present in vim-common-6.3.006-1 :(
Comment 5 Karsten Hopp 2004-07-05 11:04:07 EDT
Lets hope I got the encodings right ;-) 
Please try vim-6.3.011-2 
Comment 6 Dawid Gajownik 2004-07-06 14:43:05 EDT
Well, there is a small mistake in spec file:

   iconv -f CP1250 -t UTF8 tutor.pl > conv/tutor.pl

so some characters don't look as they should. This will resolve a problem:

   iconv -f ISO-8859-2 -t UTF8 tutor.pl > conv/tutor.pl

Fortunately windows encoding haven't been accepted as a Polish
standard :-)
Comment 7 Dawid Gajownik 2004-07-06 14:48:35 EDT
What a stupid error :/ Of course "hasn't been". Sorry for my grammar :(
Comment 8 Karsten Hopp 2004-07-16 09:18:51 EDT
Who am I to complain about grammar errors ? I'm not a native english 
speaker either and have my share of errors ;-) 
 
I've built vim-6.3.013-2 with your fix, lets hope I got the other 
languages right. 
Comment 9 Dawid Gajownik 2004-08-03 04:28:12 EDT
I was on vacation, so I could not check it out earlier. Now everything
works fine. Thanks!

Note You need to log in before you can comment on or make changes to this bug.